Open SCAP Library

Public Member Functions | Data Fields
cvrf_branch Struct Reference

## Public Member Functions
cvrf_branch_type_t | cvrf_branch_get_branch_type (struct cvrf_branch *branch)
xmlNode * | cvrf_branch_to_dom (struct cvrf_branch *branch)
| Parent: CVRF ProductTree element or another Branch element. More...
struct cvrf_branch * | cvrf_branch_new (void)
| New CVRF branch of ProductTree or sub-branch. More...
void | cvrf_branch_free (struct cvrf_branch *branch)
| Deallocates memory for a Branch element. More...
struct cvrf_branch * | cvrf_branch_clone (const struct cvrf_branch *branch)
const char * | cvrf_branch_get_branch_name (const struct cvrf_branch *branch)
struct cvrf_product_name * | cvrf_branch_get_product_name (const struct cvrf_branch *branch)
struct oscap_iterator * | cvrf_branch_get_subbranches (struct cvrf_branch *branch)
bool | cvrf_branch_set_branch_name (struct cvrf_branch *branch, const char *branch_name)
bool | cvrf_branch_set_product_name (struct cvrf_branch *branch, struct cvrf_product_name *name)

## Data Fields
cvrf_branch_type_t | type
char * | branch_name
struct cvrf_product_name * | product_name
struct oscap_list * | subbranches

## Member Function Documentation

## ◆ cvrf_branch_get_branch_type()

cvrf_branch_type_t cvrf_branch_get_branch_type | ( | struct cvrf_branch * | branch | ) |

Category of information given in the Name attribute of the Branch

Parameters

  branch | CVRF Branch structure

Returns
  Enum representing Type attribute of the Branch element

## ◆ cvrf_branch_to_dom()

xmlNode * cvrf_branch_to_dom | ( | struct cvrf_branch * | branch | ) |

Parent: CVRF ProductTree element or another Branch element.

Parameters

  branch | CVRF Branch structure to be exported to XML

Returns
  xmlNode representing Branch element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h